import { OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { BehaviorSubject } from "rxjs";
import { GlobalStateService, PageInfoService } from 'tango-app-ui-global';
import { FormControl } from '@angular/forms';
import { TraxService } from '../../services/trax.service';
import { Checklist, checkListReport, HeaderFilter } from './reports.interface';
import { ToastService } from 'tango-app-ui-shared';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import dayjs from "dayjs";
import * as i0 from "@angular/core";
export declare class ReportsComponent implements OnDestroy, OnInit {
    private route;
    gs: GlobalStateService;
    private traxService;
    private router;
    private pageInfo;
    private toastService;
    private modalService;
    dayjs: typeof dayjs;
    private destroy$;
    itemsPerPage: number;
    currentPage: number;
    totalItems: number;
    paginationSizes: number[];
    pageSize: number;
    sortColumName: string;
    sortDirection: number;
    headerData: HeaderFilter | null | undefined;
    checklistSelectControl: FormControl;
    searchInput: FormControl;
    checkLists: Checklist[];
    checkListsApiState: BehaviorSubject<"initial" | "loading" | "loaded">;
    currentChecklist: Checklist | null | undefined;
    checklistReports: checkListReport[];
    reportsTableApiState: BehaviorSubject<"initial" | "loading" | "loaded">;
    selectAllControl: FormControl<boolean | null>;
    constructor(route: ActivatedRoute, gs: GlobalStateService, traxService: TraxService, router: Router, pageInfo: PageInfoService, toastService: ToastService, modalService: NgbModal);
    ngOnDestroy(): void;
    ngOnInit(): void;
    setPageData(): void;
    getChecklists(): void;
    getFlagsTable(): void;
    sortData(column: string): void;
    onPageSizeChange(pageSize: any): void;
    onPageChange(pageOffset: any): void;
    onView(reportData: checkListReport): void;
    onExport(type: 'csv' | 'pdf'): void;
    exportData(startDate: string, endDate: string, downloadType: 'csv' | 'pdf'): void;
    get atleastOneSelected(): boolean;
    onChecklistSelect(event: Checklist): void;
    onCheckboxChecked(event: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReportsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ReportsComponent, "lib-reports", never, {}, {}, never, never, false, never>;
}
